<?php
require '../conexao/conexao.php';
require '../configuacoes.php';
// Obter os dados do formulário
$id_tb_dominio = $_POST['id_tb_dominio'] ?? null;
$descricao_dominio = $_POST['descricao_dominio'] ?? null;
$nome_tabela = $_POST['nome_tabela'] ?? null;
$situacao = $_POST['situacao'] ?? null;

//echo $id_tb_dominio;

// Dependendo se o id_dominio está presente ou não, vamos inserir um novo registro ou atualizar um existente

 if (is_null($id_tb_dominio) || $id_tb_dominio == 0) {
   // echo 'INC';
    //exit();
    // Insere os dados na tabela TB_DOMINIO
    $stmt = $connectionmysql->prepare("INSERT INTO TB_DOMINIO (descricao_dominio, nome_tabela, situacao) VALUES (?, ?, ?)");
    $stmt->bind_param("sss", $descricao_dominio, $nome_tabela, $situacao);

    if ($stmt->execute()) {
        header("Location: index.php?status=sucesso");
        exit;
    } else {
        echo "Erro: " . $stmt->error;
    }
} else {
   // echo 'ALT';
   // exit();
    // Atualiza os dados na tabela TB_DOMINIO
    $stmt = $connectionmysql->prepare("UPDATE TB_DOMINIO SET descricao_dominio = ?, nome_tabela = ?, situacao = ? WHERE id_tb_dominio = ?");
    $stmt->bind_param("sssi", $descricao_dominio, $nome_tabela, $situacao, $id_tb_dominio);

    if ($stmt->execute()) {
        header("Location: index.php?status=sucesso");
        exit;
    } else {
        echo "Erro: " . $stmt->error;
    }
}

$stmt->close();
$connectionmysql->close();
?>
